To some cpio's, -a and -m options are mutually exclusive. Use only -m.
Signed-off-by: Johannes E. Schindelin <redacted>
---
git-clone.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
d2f8d0558bcf8d0d207e89137a04e8a97fedae03
diff --git a/git-clone.sh b/git-clone.sh
index e192b08..cf410fa 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -153,7 +153,7 @@ yes,yes)
fi &&
rm -f "$GIT_DIR/objects/sample" &&
cd "$repo" &&
- find objects -depth -print | cpio -puamd$l "$GIT_DIR/" || exit 1
+ find objects -depth -print | cpio -pumd$l "$GIT_DIR/" || exit 1
;;
yes)
mkdir -p "$GIT_DIR/objects/info"
--
1.2.1.g09fe-dirty